summaryrefslogtreecommitdiff
path: root/dev-python/boto3
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-09-23 01:27:26 -0500
committerCrucible <crucible@localhost>2026-09-23 01:27:26 -0500
commit89638002224beb1b5cc8a81e8f7abb9c0943aaed (patch)
tree1708e516820c278bc2f192056872632412216a8d /dev-python/boto3
parentd7f82bffe8354989cbca631fdb55135397e3b0b1 (diff)
downloadsrcux-develop.tar.gz
srcux-develop.tar.xz
srcux-develop.zip
Publish srcux candidate 0000000360-20260923-012508HEADdevelop
Diffstat (limited to 'dev-python/boto3')
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.43.100.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index cffa09dcf270..d597465b8902 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,3 +1,4 @@
+DIST boto3-1.43.100.gh.tar.gz 1237221 BLAKE2B dd5cc359ef4772d8b0df5192b023637456e8e5107383cfd1e72ddad4d24afe7f2d7beeeddb6e0a0b421113f3395298e6005635786e2d34ecf0d007c9af5220c9 SHA512 006deaffaabf4b2a3b376bc4ba6ac6dfcd8ecf62aa73f05d9d5fd81ebf58fb13ba85ce2072315cd1d6c69b6cc1303c3bb30d588401eaddbf9e730e19f1e359dd
DIST boto3-1.43.72.gh.tar.gz 1208773 BLAKE2B 1250a1fffa6b31c2e3c5ab40221db938a56605c09b19b1d07db8eafe5acd68d06e3d6b75fc206fad1cd4c8b2ae9c663a69fdeb9c8b32246dad3134c1f4154275 SHA512 b357a17de48ff1ab460ba71315249f294e979311b7787aa2bfc7f82e2b54717039a04420d63d63ebbb51685b526eec863e0278ba58d2b68e7dfa60bdd4017f41
DIST boto3-1.43.78.gh.tar.gz 1213393 BLAKE2B b3e4188ba53609873bf6613d5667792d24634d728dfe0e0588917ade93c4d6c9a5a28d2e46bd5ca314723604a9cab9a4fae7ca1e6f9e496cc29671bc68849d7e SHA512 c98ede06cf4934089ba4a62c4fb03da692a5f9e2a415728e9f51979e33942229d8f4cd6fa02ac229b360b63a930fd91890f2ed645d17011d4a42e236943fd780
DIST boto3-1.43.83.gh.tar.gz 1218064 BLAKE2B 0758e28dd9b086615b045e107aece2ef46bee541110e51fdcd231c60cac0452f4cdfec58ea4041757835c195cd2b8becb3c4e9fd24ad7bc306d90b16af082f63 SHA512 ed110edd551138c5d63ab7ead46a4c9ddb410dea1b5e642045102936af22c4208f357f79fc994434fc6a7df7c16aba99052508103bad7599f8cc558ae1c5f842
diff --git a/dev-python/boto3/boto3-1.43.100.ebuild b/dev-python/boto3/boto3-1.43.100.ebuild
new file mode 100644
index 000000000000..93fbbe6dd59b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.100.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.19.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit}
+}